Retrieve a Specific Scheduled Callback

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url https://api-smartflo.tatateleservices.com/v1/dialer/schedule_call/{callback_id}
     --header 'accept: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Query Params)

The following parameter is required to fetch multiple users:

Variable NameDescriptionData Type
callback_id

The unique ID of the scheduled callback to retrieve

Note : Can be fetched from Retrieve All Scheduled Callbacks API

string

Sample Response

{
    "ok": true,
    "message": "Fetched Successfully",
    "data": [
        {
            "id": 229,
            "agent_id": "4817",
            "customer_number": "919582520329",
            "note": "",
            "schedule_date_time": "2025-01-22 14:07:00",
            "status": 2,
            "created_by": "4817",
            "inbound_queue": 147,
            "campaign_id": 281,
            "updated_by": "4817",
            "call_detail": null,
            "customer_name": "Paras",
            "assigned_to_name": "Paras",
            "assigned_to": "05046630215",
            "call_end_time": "2025-01-22 14:22:00",
            "created_at": "2025-01-22T03:03:49.000Z",
            "updated_at": "2025-01-22T08:37:05.000Z",
            "reminder_schedule_callbacks": null,
            "reminder_time": null,
            "call_end_min": 15
        }
    ]
}

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
data[i].idUnique identifier of the callback record.Integer
data[i].agent_idIdentifier of the agent associated with the callback.String
data[i].customer_numberPhone number of the customer.String
data[i].noteAdditional notes for the callback. May be empty.String
data[i].schedule_date_timeScheduled date and time for the callback (format: YYYY-MM-DD HH:mm:ss).String
data[i].status

Status of the callback. Possible values may include:

Values:
Pending= 0
In progress = 1
Completed = 2

Integer
data[i].created_byAgent ID of the user who created the callback.String
data[i].inbound_queueID of the inbound queue associated with the callback.Integer
data[i].campaign_idID of the campaign linked to the callback.Integer
data[i].updated_byAgent ID of the user who last updated the callback.String
data[i].call_detailDetailed call information. Can be null if not present.Object
data[i].customer_nameName of the customer.String
data[i].assigned_to_nameName of the person the callback is assigned to.String
data[i].assigned_toAgent ID or identifier of the person assigned.String
data[i].call_end_timeTime when the call ended (format: YYYY-MM-DD HH:mm:ss).String
data[i].created_atTimestamp of when the callback was created (ISO 8601 format).String
data[i].updated_atTimestamp of the last update to the callback (ISO 8601 format).String
data[i].reminder_schedule_callbacksReminder schedule callback details. Can be null.Object
data[i].reminder_timeScheduled time for reminder. Can be null.String
data[i].call_end_minTotal duration of the call in minutes.Integer
Path Params
string
required

The unique ID of the scheduled callback to retrieve

Headers
string
required
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json